package de.hhu.ba.yoshikoWrapper.gui;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JCheckBox;

@SuppressWarnings("serial")
public class TimeLimitSetter extends ComfortPanel{

	private JCheckBox checkBox;
	private IntegerInputField numberField;
	
	public TimeLimitSetter() {
		checkBox = new JCheckBox("Use time limit (s):");
		numberField = new IntegerInputField();
		numberField.setEnabled(false); //By default time limit is turned off
		checkBox.addActionListener(
				new ActionListener() {

					@Override
					public void actionPerformed(ActionEvent e) {
						numberField.setEnabled(checkBox.isSelected());
					}
					
				}
				);
		//REGISTER COMPONENTS
		this.addAll(checkBox,numberField);
	}
	
	public int getTimeLimit() {
		if (!checkBox.isSelected()) {
			return -1;
		}
		return numberField.getTimeLimit();
	}

}
