package de.hhu.ba.yoshikoWrapper.logging;

import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class YoshikoLogger {
	
	//SINGLETON TEMPLATE//
	private static YoshikoLogger instance;
	private YoshikoLogger() {};

	private Logger logger;

	
	public static YoshikoLogger getInstance() {
		if (instance == null) {
			instance = new YoshikoLogger();
		}
		return instance;
	}
	
	
	public Logger getLogger() {
		if (logger == null) {
			logger = LoggerFactory.getLogger(getClass());
		}
		return logger;
	}
	
	
}
